import { emitFile, resolvePath } from "@typespec/compiler";
import { renderProgram } from "./ui.js";
import { createTypeSpecLibrary } from "@typespec/compiler";
const EmitterOptionsSchema = {
    type: "object",
    additionalProperties: false,
    properties: {
        "output-dir": { type: "string", nullable: true },
    },
    required: [],
};
export const libDef = {
    name: "@typespec/openapi3",
    diagnostics: {},
    emitter: {
        options: EmitterOptionsSchema,
    },
};
export const $lib = createTypeSpecLibrary(libDef);
export async function $onEmit(context) {
    const html = renderProgram(context.program);
    const outputDir = context.emitterOutputDir;
    const htmlPath = resolvePath(outputDir, "typespec-program.html");
    await emitFile(context.program, {
        path: htmlPath,
        content: `<!DOCTYPE html><html lang="en"><link rel="stylesheet" href="style.css"><body>${html}</body></html>`,
    });
}
//# sourceMappingURL=emitter.js.map